Loading...
Searching...
No Matches
caf::proxy_registry::backend Class Referenceabstract

Responsible for creating proxy actors. More...

`#include <proxy_registry.hpp>`

Inheritance diagram for caf::proxy_registry::backend:

## Public Member Functions

virtual strong_actor_ptr | make_proxy (node_id, actor_id)=0
| Creates a new proxy instance.
virtual void | set_last_hop (node_id *ptr)=0
| Sets the thread-local last-hop pointer to detect indirect connections.

## Detailed Description

Responsible for creating proxy actors.

## Member Function Documentation

## make_proxy()

virtual strong_actor_ptr caf::proxy_registry::backend::make_proxy | ( | node_id | ,
|  | actor_id | )

pure virtual

Creates a new proxy instance.

Implemented in caf::io::basp_broker.

## set_last_hop()

virtual void caf::proxy_registry::backend::set_last_hop | ( | node_id * | ptr | ) |

pure virtual

Sets the thread-local last-hop pointer to detect indirect connections.

Implemented in caf::io::basp_broker.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/proxy_registry.hpp